Перейти к содержимому
R-Service R-Service
Руководство разработчика RR Tech Service Management

Workflow Templates - Workflows API

Эта документация пока недоступна на вашем языке, поэтому показана английская версия.

List all workflows that were created using the workflow template with a specific ID.

GET /workflow_templates/:id/workflows
Status: 200 OK
[
{
"completed_at": null,
"created_at": "2016-03-10T12:32:00-06:00",
"category": "standard",
"sourceID": null,
"updated_at": "2016-03-14T03:14:17-06:00",
"service": {
"id": 21,
"name": "Email",
"localized_name": "Email",
"provider": {
"name": "Widget Data Center, External IT",
"id": 44,
"account": {
"id": "pro-product",
"name": "Widget International"
}
}
},
"manager": {
"id": 37,
"name": "Barney Turban",
"account": {
"id": "pro-product",
"name": "Widget International"
}
},
"subject": "Upgrade Email servers to Exchange Server 2007 SP2",
"id": 1686,
"impact": "top",
"status": "risk_and_impact",
"completion_target_at": "2016-03-15T16:33:00-06:00"
},
"..."
]

The response contains these fields by default.

The following predefined filters are available:

  • /workflow_templates/:id/workflows/disabled : List all disabled workflows of a workflow template with a specific ID
  • /workflow_templates/:id/workflows/enabled : List all enabled workflows of a workflow template with a specific ID